import MonacoModule = require("monaco-editor");
import { Term } from "./highlighter";
export interface ThemeConfig {
    monacoTreeSitter: Record<Term, string | {
        color: string;
        extraCssStyles?: string;
    }>;
    base: MonacoModule.editor.IStandaloneThemeData;
}
export declare class Theme {
    private static tag;
    static config: ThemeConfig;
    private static readonly cssClassNamePrefix;
    private constructor();
    static load(config: ThemeConfig): void;
    static generateCss(classNamePrefix?: string): string;
    static generateStyleOfTerm(term: Term): string;
    static getClassNameOfTerm(term: Term, classNamePrefix?: string): string;
    static getColorOfTerm(term: Term): string;
}
